# TdApi.UpdateDeleteMessages (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateDeleteMessages

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateDeleteMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateDeleteMessages

Enclosing class:
  TdApi

public static final class TdApi.UpdateDeleteMessages extends TdApi.Update
Some messages were deleted.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`fromCache`
True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.
`boolean`
`isPermanent`
True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).
`long[]`
`messageIds`
Identifiers of the deleted messages.

## Constructor Summary

Constructors
Constructor
Description
`UpdateDeleteMessages()`
Some messages were deleted.
`UpdateDeleteMessages(long chatId, long[] messageIds, boolean isPermanent, boolean fromCache)`
Some messages were deleted.
`UpdateDeleteMessages(DataInput input)`
Some messages were deleted.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageIds

public long[] messageIds
Identifiers of the deleted messages.

### isPermanent

public boolean isPermanent
True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).

### fromCache

public boolean fromCache
True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateDeleteMessages

public UpdateDeleteMessages()
Some messages were deleted.

### UpdateDeleteMessages

public UpdateDeleteMessages(long chatId, long[] messageIds, boolean isPermanent, boolean fromCache)
Some messages were deleted.

Parameters:
  `chatId` - long Chat identifier.
  `messageIds` - long[] Identifiers of the deleted messages.
  `isPermanent` - boolean True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).
  `fromCache` - boolean True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

### UpdateDeleteMessages

public UpdateDeleteMessages(DataInput input) throws IOException
Some messages were deleted.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`